Description

On DataMiner, after the start of the service I can run

an algorithm several times (e.g. BiOnym), which takes the proxy address from a service EP.

After a while (30 min) it is not able anymore to see the SE. A query to the IS gives an empty lists of addresses. 

I'm testing in the BiodiversityLab VRE. You can use this link to test (the first step performed is the SE retrieval):

http://dataminer1-p-d4s.d4science.org/wps/WebProcessingService?request=Execute&service=WPS&Version

=1.0.0&gcube-token=26209520-6e2d-4850-9716-0b2bd37fd017&lang=en-US&Identifier=org.gcube.dataanalys

is.wps.statisticalmanager.synchserver.mappedclasses.generators.BIONYM&DataInputs=Matcher_1=LEVENSH

TEIN;Matcher_4=NONE;Matcher_5=NONE;Matcher_2=NONE;Matcher_3=NONE;Threshold_1=0.6;RawTaxaNamesTable

=http://goo.gl/N9e3pC;Threshold_2=0.6;Accuracy_vs_Speed=MAX_ACCURACY;MaxResults_2=10;MaxResults_1=

10;Threshold_3=0.4;RawNamesColumn=species;Taxa_Authority_File=FISHBASE;Parser_Name=SIMPLE;OutputTa

bleLabel=bionymwps;MaxResults_4=0;Threshold_4=0;MaxResults_3=0;MaxResults_5=0;Threshold_5=0;Use_St

emmed_Genus_and_Species=false;Activate_Preparsing_Processing=true;

History

#1 - Nov 04, 2016 01:22 PM - Gianpaolo Coro

- File IMG_04112016_114914.png added

Update: we have seen that the scope managed by DataMiner is correct but the Service EP is searched elsewhere sometimes, but no evidence of this

is found on the service. This effect is random and seems to be due to some underlying setting modification of the ScopeProvider. Indeed, we have

noticed that at each call a sequence of calls to the IS is done in several scopes, probably by the accounting system, which could be confusing the EP

retrieval. This still needs investigation. 

This situation is not only seen on DataMiner, since a user has just notified the error in the attached figure, where the Prototyping Dataminer cluster (a

Service EP) was searched by the portlet in the BiodiversityLab VRE! I fear this is a general issue that is currently affecting the e-Infrastructure.

#2 - Nov 04, 2016 02:30 PM - Pasquale Pagano

- Priority changed from Normal to Urgent

#3 - Jan 02, 2017 02:11 PM - Massimiliano Assante

@lucio.lelii@isti.cnr.it this incident is open since Nov. 4th 2016, AFAI it should be fixed already. Please check 

#4 - Jan 09, 2017 12:38 PM - Lucio Lelii

- Status changed from New to Closed

We solved the problem adding the required Service EP to all the scopes where dataminers run, we have to investigate further on this.
